summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Azure Zanculmarktum <zanculmarktum@gmail.com>2017-05-11 22:42:01 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-05-13 06:59:34 +0700
commit615c37bdf3febeb986df47c2653ee6053f3d95fb (patch)
tree5cd9abc9a75f011c8cd8b367436a1010b43ac0db /office
parent06c2d3ce35ef93dae0244eab10f5f5229e98f9e4 (diff)
downloadslackbuilds-615c37bdf3febeb986df47c2653ee6053f3d95fb.tar.gz
slackbuilds-615c37bdf3febeb986df47c2653ee6053f3d95fb.tar.xz
office/openoffice-langpack: Added (Language pack).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/openoffice-langpack/README16
-rw-r--r--office/openoffice-langpack/openoffice-langpack.SlackBuild110
-rw-r--r--office/openoffice-langpack/openoffice-langpack.info10
-rw-r--r--office/openoffice-langpack/slack-desc19
4 files changed, 155 insertions, 0 deletions
diff --git a/office/openoffice-langpack/README b/office/openoffice-langpack/README
new file mode 100644
index 0000000000..bb6008d4f6
--- /dev/null
+++ b/office/openoffice-langpack/README
@@ -0,0 +1,16 @@
+Language Pack for Apache OpenOffice productivity suite.
+
+This script builds the language pack for the en-GB locale.
+To build other locales, download your language pack from:
+
+ http://www.openoffice.org/download/
+
+and start the SlackBuild as follows:
+
+ # OOLANG=xx ./openoffice-langpack.SlackBuild
+
+This package was prepared for Apache OpenOffice built from here at
+SlackBuilds.org.
+
+Note:
+For language used in multiple locale, please replace xx with xx-YY
diff --git a/office/openoffice-langpack/openoffice-langpack.SlackBuild b/office/openoffice-langpack/openoffice-langpack.SlackBuild
new file mode 100644
index 0000000000..6e8055dd40
--- /dev/null
+++ b/office/openoffice-langpack/openoffice-langpack.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for OpenOffice Language Packs
+#
+# Adapted from Slackware build scripts for LibreOffice Language Packs by
+# Niels Horn, Rio de Janeiro, RJ, Brazil (Copyright 2010-2014) and
+# Willy Sudiarto Raharjo (Copyright 2014-2017)
+
+# Copyright 2017 Ekin Akoglu, Erdemli, Mersin, Turkey
+#
+# Permission is hereby granted, free of charge, to any person obtaining
+# a copy of this software and associated documentation files (the “Software”),
+# to deal in the Software without restriction, including without limitation
+# the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
+# sell copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+
+# The above copyright notice and this permission notice shall be included
+# in all copies or substantial portions of the Software.
+
+# THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND,
+# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
+# IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+PRGNAM=openoffice-langpack
+VERSION=${VERSION:-"4.1.3"}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+OOLANG=${OOLANG:-en-GB}
+PKG_LANG=${OOLANG//-/_}
+
+# I'll leave this line here, as I always have to change it with every release
+SRCVERSION=$VERSION
+SRCSHORT=$(echo $VERSION | cut -f1 -d.)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Change source package name
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="x86-64"
+ PKGARCH="$ARCH"
+ LIBDIRSUFFIX=64
+elif [ "$ARCH" = "arm" ]; then
+ printf "\n$ARCH is unsupported for Apache OpenOffice...\n\n"
+ exit 1
+else
+ SRCARCH="x86"
+ PKGARCH="i586"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# Concatenate all parts to get the full name of the tarball
+TARBALL="Apache_OpenOffice_${SRCVERSION}_Linux_${SRCARCH}_langpack-rpm_${OOLANG}.tar.gz"
+if [ ! -r $TARBALL ]; then
+ echo "$TARBALL not found"
+ exit 1
+fi
+
+# Get "base" directory of tarball
+SOURCEDIR=$(tar tzf $CWD/$TARBALL 2>/dev/null | head -n 1 | tr -d \/)
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$SOURCEDIR
+
+tar xvf $CWD/$TARBALL -C $TMP
+
+cd $TMP/$SOURCEDIR/RPMS/
+
+for FILE in *.rpm ; do rpm2cpio < $FILE | cpio -imdv ; done
+mv opt $PKG
+cd $PKG
+
+# Move docs to their expected locations
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/opt/openoffice$SRCSHORT
+ mv readmes $PKG/usr/doc/$PRGNAM-$VERSION
+cd -
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Fix ownership and permissions and make the package
+chown -R root:root .
+find . -type d -exec chmod 755 {} \;
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}_${PKG_LANG}-$PKGARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/openoffice-langpack/openoffice-langpack.info b/office/openoffice-langpack/openoffice-langpack.info
new file mode 100644
index 0000000000..be42d7b484
--- /dev/null
+++ b/office/openoffice-langpack/openoffice-langpack.info
@@ -0,0 +1,10 @@
+PRGNAM="openoffice-langpack"
+VERSION="4.1.3"
+HOMEPAGE="http://www.openoffice.org"
+DOWNLOAD="https://downloads.sourceforge.net/project/openofficeorg.mirror/4.1.3/binaries/en-GB/Apache_OpenOffice_4.1.3_Linux_x86_langpack-rpm_en-GB.tar.gz"
+MD5SUM="466019960449036dd15151a75017a1c6"
+DOWNLOAD_x86_64="https://downloads.sourceforge.net/project/openofficeorg.mirror/4.1.3/binaries/en-GB/Apache_OpenOffice_4.1.3_Linux_x86-64_langpack-rpm_en-GB.tar.gz"
+MD5SUM_x86_64="8e6b2e878f3016747e6176b306fa8f1b"
+REQUIRES="openoffice.org"
+MAINTAINER="Ekin Akoglu"
+EMAIL="ekinakoglu@gmail.com"
diff --git a/office/openoffice-langpack/slack-desc b/office/openoffice-langpack/slack-desc
new file mode 100644
index 0000000000..8a07d944f0
--- /dev/null
+++ b/office/openoffice-langpack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libreoffice-langpack: openoffice-langpack (for Apache OpenOffice Productivity Suite)
+libreoffice-langpack:
+libreoffice-langpack: Language Pack for Apache OpenOffice productivity suite.
+libreoffice-langpack:
+libreoffice-langpack: Homepage: http://www.openoffice.org
+libreoffice-langpack:
+libreoffice-langpack:
+libreoffice-langpack:
+libreoffice-langpack:
+libreoffice-langpack:
+libreoffice-langpack: